revbump for bug #210429
authorSaleem Abdulrasool <compnerd@gentoo.org>
Sun, 2 Mar 2008 06:57:24 +0000 (06:57 +0000)
committerSaleem Abdulrasool <compnerd@gentoo.org>
Sun, 2 Mar 2008 06:57:24 +0000 (06:57 +0000)
Package-Manager: portage-2.1.4.4

dev-lang/mono/ChangeLog
dev-lang/mono/Manifest
dev-lang/mono/files/mono-1.2.6-bug-347359.patch [new file with mode: 0644]
dev-lang/mono/mono-1.2.6-r2.ebuild [new file with mode: 0644]

index ca1b8561776bde65252250b8fcbbffc03abb97b2..a4b4155d895144f2c32c43a43ef7aa2619c2d301 100644 (file)
@@ -1,6 +1,12 @@
 # ChangeLog for dev-lang/mono
 # Copyright 2002-2008 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lang/mono/ChangeLog,v 1.133 2008/01/02 06:13:22 jurek Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/mono/ChangeLog,v 1.134 2008/03/02 06:57:23 compnerd Exp $
+
+*mono-1.2.6-r2 (02 Mar 2008)
+
+  02 Mar 2008; Saleem Abdulrasool <compnerd@gentoo.org>
+  +files/mono-1.2.6-bug-347359.patch, +mono-1.2.6-r2.ebuild:
+  Revbump with a minor patch from svn for bug #210429
 
 *mono-1.2.6-r1 (02 Jan 2008)
 
index a05d6408b9a99d6a47abf06de8766c255271bb7a..2ff4e218a8fb5eb0d87a66e6480b7aca245b8721 100644 (file)
@@ -3,6 +3,7 @@ AUX mono-1.2.4-make-check.patch 8256 RMD160 d29fbb8944043ad39562099101ae6f4520f0
 AUX mono-1.2.4-pic.patch 515 RMD160 7e6b6bf1bf4279881f5b03135d22f1bf488bed61 SHA1 fa8b18dde84c4305341fafafc88cda725dded3b1 SHA256 daab8ca27e5530d688ba611870c62d558be122781776aed8c0ecd97a56465a63
 AUX mono-1.2.5-make-check.patch 7242 RMD160 2969a77b23bdb3d151115118d19bff49bebaf91e SHA1 a6b922c1536b12f8c6d1db7c0047273622c3035d SHA256 a40da914a3b6d262781df2089d19d1f096c2920921bcf2031f7c7748bef2734f
 AUX mono-1.2.5-remoting.patch 1798 RMD160 17f42b6d663ee80d86e71e3facc9630f36f4d4c6 SHA1 3fe189495abcac107318f08ee1e4c4a7ee8c6cc1 SHA256 42d29fa86fe92edb8cc24f4dc62f77d5f20075ecf97c211fc63a02ed91f5da8c
+AUX mono-1.2.6-bug-347359.patch 468 RMD160 9057edfe349ae587cc73d2a07011faf64e092095 SHA1 26e350f31c54f29d8e407cb4ea3d31333bafb83e SHA256 3ce69a3b5129bc0715eaa46213e28436acfeabdb11e35818a8a3be9ea7fd06c9
 AUX mono-1.2.6-threads-types-private-prototypes.patch 1341 RMD160 a0febde503971203d1ebf7f1274e42f95a5ed3b6 SHA1 b61bf000d7064cb76787954941696c17fa55c8d1 SHA256 0f5ac74f73817749de78c0d9435294bf148c11faef8c67729ce409493a7ee0ff
 AUX mono-biginteger_overflow.diff 848 RMD160 1f2cb38e577102943399459e2ef0f511dcad5209 SHA1 15203be56015aed4a9b63ca3ade01d3a22f4bae3 SHA256 adc10b8a97cbcb6b4758f7de041eee757259d55e1e2cbaf84a89e5ef83e46806
 DIST mono-1.1.16.1.tar.gz 19115095 RMD160 3ccf59d5e8f3e7ce74bccd495d7a8413a0fdce9c SHA1 fd68988e2d6002f4b631edfb8dee372bc9d979b3 SHA256 6404bd0b34c642bb159328486949424d7d51f444cfbed5c83ee5f4ee3ad34b0f
@@ -20,6 +21,7 @@ EBUILD mono-1.2.5.1-r1.ebuild 3626 RMD160 7e448d5023d1f1417211fa573f22bd400fce95
 EBUILD mono-1.2.5.1.ebuild 3572 RMD160 644243ca9a5b3327178b10f042a5230283c40605 SHA1 56c1715bffb5142f6e5a8909847019f4c314bd3e SHA256 99850435a7106bb50ddac7621b45a0266c71de46cd555c0c0ed474b3bf2654b8
 EBUILD mono-1.2.5.ebuild 3634 RMD160 a67a1b0a1708c44d2c8dfa7dc9b8a17b09725dda SHA1 eb4de7c659450ae218fb84c7ee9df0287c087cca SHA256 ab2aa371e939d8e392193134f14994afdff7e21d5db2071f8fe961b909d54177
 EBUILD mono-1.2.6-r1.ebuild 3720 RMD160 28a317b87f35738fc075246923ceca6dd6f9e14f SHA1 75d41791ed72f049be44a964de68cdcefa173280 SHA256 3a9cfbf979e4b322c18568540cd2bcd58a0870047f17eb2260e1f41de5c768ad
+EBUILD mono-1.2.6-r2.ebuild 3842 RMD160 49764bc8239de193e3e751211382a63d7ebabbac SHA1 473f547ff48e269d592beca2ebb855b4055a6f5c SHA256 f5761937f09a94fca6238315393db2f83e8cb3eff902b72c3a7977955d066d5d
 EBUILD mono-1.2.6.ebuild 3570 RMD160 f8bb1f38515d8a48ba0a1c1498cfe9dcd0a48968 SHA1 d6983276047fc1bd6515926ed373af67b2087bd2 SHA256 362b9c4c5efeab2430086cd874d9bb99be3f37d59918f81565eaf3a0a3ba3635
-MISC ChangeLog 29589 RMD160 68d5213a4e9d0c6bf102fd0b1b2306f8c0e0ad02 SHA1 c83a0c207d06dac8c9e5340e34992efb7b3681b4 SHA256 9d08a6b8e89c7efddaccecf493b3158d90498206ada1bdf7de4ca0d2e97acead
+MISC ChangeLog 29794 RMD160 0924fac018175debd562df18d7ee091cd6cd70bc SHA1 86ee205be9074e267d13411b0a934c20aec282ef SHA256 30b7f1440409402ec96750ab34493333e3da017edd8a510f1e33e6da00e0345a
 MISC metadata.xml 159 RMD160 41527b6d3fa74dfdcd619b7d91c478b72ecc8ae8 SHA1 ac19a418765e817e54d4c54c1992c9062d5dcf3e SHA256 986c3e2fa3baa5d6e8c0b5c27a2550601780d0cc7857f7f1c01523491706d909
diff --git a/dev-lang/mono/files/mono-1.2.6-bug-347359.patch b/dev-lang/mono/files/mono-1.2.6-bug-347359.patch
new file mode 100644 (file)
index 0000000..d6946b8
--- /dev/null
@@ -0,0 +1,13 @@
+--- trunk/mcs/mcs/expression.cs        2007/12/22 13:17:22     91807
++++ trunk/mcs/mcs/expression.cs        2007/12/23 13:29:15     91831
+@@ -4242,6 +4242,10 @@
+ 
+               public override Expression DoResolve (EmitContext ec)
+               {
++                      // Don't resolve already resolved expression
++                      if (eclass != ExprClass.Invalid)
++                              return this;
++                      
+                       Expression expr_resolved = expr.Resolve (ec, ResolveFlags.VariableOrValue | ResolveFlags.MethodGroup);
+                       if (expr_resolved == null)
+                               return null;
diff --git a/dev-lang/mono/mono-1.2.6-r2.ebuild b/dev-lang/mono/mono-1.2.6-r2.ebuild
new file mode 100644 (file)
index 0000000..03a8207
--- /dev/null
@@ -0,0 +1,131 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/mono/mono-1.2.6-r2.ebuild,v 1.1 2008/03/02 06:57:23 compnerd Exp $
+
+inherit eutils flag-o-matic multilib autotools
+
+DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
+HOMEPAGE="http://www.go-mono.com"
+SRC_URI="http://www.go-mono.com/sources/mono/${P}.tar.bz2"
+
+LICENSE="|| ( GPL-2 LGPL-2 X11 )"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~sparc ~x86 ~x86-fbsd"
+IUSE="X nptl"
+
+RDEPEND="!<dev-dotnet/pnet-0.6.12
+                >=dev-libs/glib-2.6
+                nptl? ( >=sys-devel/gcc-3.3.5-r1 )
+                ppc?   (
+                                       >=sys-devel/gcc-3.2.3-r4
+                                       >=sys-libs/glibc-2.3.3_pre20040420
+                               )
+                X? ( >=dev-dotnet/libgdiplus-1.2.4 )"
+DEPEND="${RDEPEND}
+                 sys-devel/bc
+               >=dev-util/pkgconfig-0.19"
+PDEPEND="dev-dotnet/pe-format"
+
+# Parallel build unfriendly
+MAKEOPTS="${MAKEOPTS} -j1"
+
+RESTRICT="test"
+
+function get-memory-total() {
+       cat /proc/meminfo | grep MemTotal | sed -r "s/[^0-9]*([[0-9]+).*/\1/"
+}
+
+src_unpack() {
+       unpack ${A}
+       cd "${S}"
+
+       # Fix the install path, install into $(libdir)
+       sed -i -e 's:$(prefix)/lib:$(libdir):'                                    \
+               -i -e 's:$(exec_prefix)/lib:$(libdir):'                               \
+               -i -e "s:'mono_libdir=\${exec_prefix}/lib':\"mono_libdir=\$libdir\":" \
+               "${S}"/{scripts,mono/metadata}/Makefile.am "${S}"/configure.in        \
+       || die "sed failed"
+
+       sed -i -e 's:^libdir.*:libdir=@libdir@:'                                  \
+               -i -e 's:${prefix}/lib/:${libdir}/:g'                                 \
+               "${S}"/{scripts,}/*.pc.in                                             \
+       || die "sed failed"
+
+       # Remove dummy ltconfig and let libtool handle it
+       rm -f "${S}"/libgc/ltconfig
+
+       epatch "${FILESDIR}"/mono-biginteger_overflow.diff
+
+       # Fixes bug #202358, see
+       # https://bugzilla.novell.com/show_bug.cgi?id=349952
+       epatch "${FILESDIR}"/${P}-threads-types-private-prototypes.patch
+
+       # Fixes bug #210429, see
+       # https://bugzilla.novell.com/show_bug.cgi?id=347359
+       epatch "${FILESDIR}/${P}-bug-210429.patch"
+
+       einfo "Regenerating the build files, this will take some time..."
+       eautoreconf
+}
+
+src_compile() {
+       # mono's build system is finiky, strip the flags
+       strip-flags
+
+       # Enable the 2.0 FX, use the system glib and the gc
+       local myconf="--with-preview=yes --with-glib=system --with-gc=included"
+
+       # Threading support
+       if use amd64 || use nptl ; then
+               # force __thread on amd64 (bug #83770)
+               myconf="${myconf} --with-tls=__thread"
+       else
+               myconf="${myconf} --with-tls=pthread"
+       fi
+
+       # Enable large heaps if memory is more than >=3GB
+       if [[ $(get-memory-total) -ge 3145728 ]] ; then
+               myconf="${myconf} --with-large-heap=yes"
+       fi
+
+       # Force the use of monolite mcs to prevent issues with classlibs (bug #118062)
+       touch "${S}"/mcs/build/deps/use-monolite
+
+       econf ${myconf} || die "configure failed"
+       emake EXTERNAL_MCS=false EXTERNAL_MONO=false
+
+       if [[ "$?" -ne "0" ]]; then
+               ewarn "If you are using any hardening features such as"
+               ewarn "PIE+SSP/SELinux/grsec/PAX then most probably this is the reason"
+               ewarn "why build has failed. In this case turn any active security"
+               ewarn "enhancements off and try emerging the package again"
+               die
+       fi
+}
+
+src_test() {
+       vecho ">>> Test phase [check]: ${CATEGORY}/${PF}"
+
+       mkdir -p "${T}/home/mono" || die "mkdir home failed"
+
+       export HOME="${T}/home/mono"
+       export XDG_CONFIG_HOME="${T}/home/mono"
+       export XDG_DATA_HOME="${T}/home/mono"
+
+       if ! LC_ALL=C emake -j1 check; then
+               hasq test $FEATURES && die "Make check failed. See above for details."
+               hasq test $FEATURES || eerror "Make check failed. See above for details."
+       fi
+}
+
+src_install() {
+       emake DESTDIR="${D}" install || die "install failed"
+
+       dodoc AUTHORS ChangeLog NEWS README
+
+       docinto docs
+       dodoc docs/*
+
+       docinto libgc
+       dodoc libgc/ChangeLog
+}